openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/LXE_PC1_XML_RFC_IMPORT:
    post:
      tags:
      - LXE_PC1
      operationId: /rfc/LXE_PC1_XML_RFC_IMPORT
      requestBody:
        content:
          application/json:
            schema:
              properties:
                COLLNAM:
                  type: string
                  default: ''
                  maxLength: 32
                  description: Single-Character Flag
                COLLTYP:
                  type: string
                  default: ''
                  maxLength: 1
                  description: Single-Character Flag
                CUSTMNR:
                  type: string
                  maxLength: 6
                  description: Customer Number
                DOMATYP:
                  type: string
                  default: X
                  maxLength: 1
                  description: Single-Character Flag
                LANGUAGE:
                  type: string
                  default: ++++
                  maxLength: 4
                  description: ISO Language ID
                OBJNAME:
                  type: string
                  default: ''
                  maxLength: 70
                  description: Single-Character Flag
                SAVE_TO_DB:
                  type: string
                  default: X
                  maxLength: 1
                  description: Single-Character Flag
                XML_XSTRING:
                  type: string
                  format: byte
                  description: ISO Language ID
                LT_PCZ:
                  type: array
                  items:
                    type: object
                    properties:
                      OBJTYPE:
                        type: string
                        maxLength: 4
                        description: Type of Translation Object
                      TEXTKEY:
                        type: string
                        maxLength: 32
                        description: Text Key
                      XLNECNT:
                        type: integer
                        format: int64
                        description: LineCount (X)
                      BYTES:
                        type: integer
                        format: int64
                        description: 'Byte Count (X)  enumValues: 000='
                        enum:
                        - '000'
                      XLNE255:
                        type: string
                        format: byte
                        description: Line 255 (X Format)
                LT_PCZ_TX_DUM:
                  type: array
                  items:
                    type: object
                    properties:
                      LANGUAGE:
                        type: string
                        maxLength: 4
                        description: ISO Language ID
                      CUSTMNR:
                        type: string
                        maxLength: 6
                        description: Translation Area
                      OBJTYPE:
                        type: string
                        maxLength: 4
                        description: Type of Translation Object
                      OBJNAME:
                        type: string
                        maxLength: 70
                        description: Name of Translation Object
                      TEXTKEY:
                        type: string
                        maxLength: 32
                        description: Text Key
                      LINE:
                        type: integer
                        format: int64
                        description: LineCount (X)
                      BYTES:
                        type: integer
                        format: int64
                        description: 'Byte Count (X)  enumValues: 000='
                        enum:
                        - '000'
                      TEXT:
                        type: string
                        format: byte
                        description: Line 255 (X Format)
              required:
              - CUSTMNR
              - XML_XSTRING
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  ERR_MESS:
                    type: string
                    description: Process Status
                  IMP_LANG:
                    type: string
                    maxLength: 4
                    description: ISO Language ID
                  IMP_NAME:
                    type: string
                    maxLength: 70
                    description: Name of Translation Object
                  PSTATUS:
                    type: string
                    maxLength: 1
                    description: Process Status
                  LT_PCZ:
                    type: array
                    items:
                      type: object
                      properties:
                        OBJTYPE:
                          type: string
                          maxLength: 4
                          description: Type of Translation Object
                        TEXTKEY:
                          type: string
                          maxLength: 32
                          description: Text Key
                        XLNECNT:
                          type: integer
                          format: int64
                          description: LineCount (X)
                        BYTES:
                          type: integer
                          format: int64
                          description: 'Byte Count (X)  enumValues: 000='
                          enum:
                          - '000'
                        XLNE255:
                          type: string
                          format: byte
                          description: Line 255 (X Format)
                  LT_PCZ_TX_DUM:
                    type: array
                    items:
                      type: object
                      properties:
                        LANGUAGE:
                          type: string
                          maxLength: 4
                          description: ISO Language ID
                        CUSTMNR:
                          type: string
                          maxLength: 6
                          description: Translation Area
                        OBJTYPE:
                          type: string
                          maxLength: 4
                          description: Type of Translation Object
                        OBJNAME:
                          type: string
                          maxLength: 70
                          description: Name of Translation Object
                        TEXTKEY:
                          type: string
                          maxLength: 32
                          description: Text Key
                        LINE:
                          type: integer
                          format: int64
                          description: LineCount (X)
                        BYTES:
                          type: integer
                          format: int64
                          description: 'Byte Count (X)  enumValues: 000='
                          enum:
                          - '000'
                        TEXT:
                          type: string
                          format: byte
                          description: Line 255 (X Format)
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
